from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Directory, Boolean, File

Kar_2_V0_1_0 = CommandToolBuilder(tool="kar.2", base_command=["kar.2"], inputs=[ToolInput(tag="in_create", input_type=String(optional=True), prefix="--create", doc=InputDocumentation(doc="Create new archive.")), ToolInput(tag="in_extract", input_type=String(optional=True), prefix="--extract", doc=InputDocumentation(doc="Extract the contents of an archive into")), ToolInput(tag="in_directory", input_type=Directory(optional=True), prefix="--directory", doc=InputDocumentation(doc="The next token on the command line is the\nname of the directory to extract to or\ncreate from")), ToolInput(tag="in_force", input_type=Boolean(optional=True), prefix="--force", doc=InputDocumentation(doc="(no parameter) this will cause the extract\nor create to over-write existing files unless\nthey are write-protected. Without this\noption the program will fail if the archive\nalready exists for create or the target\ndirectory exists for an extract")), ToolInput(tag="in_long_list", input_type=Boolean(optional=True), prefix="--long-list", doc=InputDocumentation(doc="more information will be given on each file\nin test/list mode.")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_md_five", input_type=Boolean(optional=True), prefix="--md5", doc=InputDocumentation(doc="create md5sum-compatible checksum file")), ToolInput(tag="in_t", input_type=Boolean(optional=True), prefix="-t", doc=InputDocumentation(doc="")), ToolInput(tag="in_directory_dot", input_type=Directory(), position=0, doc=InputDocumentation(doc="-t|--test <archive>              Check the structural validity of an archive ")), ToolInput(tag="in_quit_dot", input_type=String(), position=0, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="-Z|--stdout                      Direct output to stdout "))], outputs=[], container="quay.io/biocontainers/sra-tools:2.10.9--pl526haddd2b5_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Kar_2_V0_1_0().translate("wdl")

